--
-- $Id$
--
-- opschonen gebruikers die door de persimport onterecht meerdere malen zijn aangemaakt

DEFINE thisfile = 'WZUV#52805.SQL'
DEFINE dbuser   = '^WZUV'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- bedrijfskey 41= WZUV, om cliënten uit te sluiten
-- alleen cliënten na 28 maart 20189 aangemaakt zijn, de dag daarvoor zijn de dubbele afdelingen aangemaakt
-- alleen medewerkers zonder login zijn foutief
DELETE prs_perslid
 WHERE prs_perslid_key IN
             (SELECT p.prs_perslid_key
                FROM prs_perslid p, prs_v_afdeling a
               WHERE     prs_perslid_oslogin IS NULL
                     AND p.prs_afdeling_key = a.prs_afdeling_key
                     AND prs_perslid_verwijder IS NULL
                     AND prs_perslid_login IS NULL
                     AND a.prs_bedrijf_key = 41
                     AND prs_perslid_ingangsdatum >
                           TO_DATE ('28-3-2018', 'dd-mm-yyyy'));

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
